Bug 8893 - show more information on printout
Summary: show more information on printout
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL: /cgi-bin/koha/catalogue/detailprint.p...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-09 17:00 UTC by Nicole C. Engard
Modified: 2013-05-23 06:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8893 - show more information on printout (9.47 KB, patch)
2012-10-25 15:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8893 - show more information on printout (9.50 KB, patch)
2012-10-25 16:58 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 8893 - show more information on printout (9.55 KB, patch)
2012-11-29 17:31 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8893 [Follow-up] show more information on printout (1.42 KB, patch)
2012-11-30 20:41 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 8893 [Follow-up] show more information on printout (1.45 KB, patch)
2012-11-30 21:37 UTC, Melia Meggs
Details | Diff | Splinter Review
Bug 8893 [Follow-up] show more information on printout (1.60 KB, patch)
2012-12-03 10:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-10-09 17:00:34 UTC
It would be nice if the print out of the record from the staff client included shelving location.
Comment 1 Owen Leonard 2012-10-25 15:53:18 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-10-25 16:58:39 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-11-13 15:16:05 UTC
QA Comment:
Owen, I like your patch because it removes a script :)
But is it not too radical ?

I would like to have at least another point of view on this new behaviour.

For example, with your patch, a notice is printed on 2 pages instead of 1.

For the print button: your patch gives the same result as the browser print controls. Maybe it is the opportunity to delete this button ?

For discussion.
Comment 4 Paul Poulain 2012-11-29 17:31:17 UTC
QA comment:
 * remove a lot of code, ++
 * passes koha-qa.pl
 * I don't see any possible side-effect
 * feature works

passed QA
Comment 5 Paul Poulain 2012-11-29 17:31:31 UTC
Created attachment 13783 [details] [review]
Bug 8893 - show more information on printout

My proposed solution eliminates the special print view
page altogether and has the Print button trigger the
browser's print function. I've tweaked the print stylesheet
to improve the output.

Normally I don't think print buttons in the interface
are necessary, since a user could be expected to be able
to print the page using browser controls. But I think it's
best not to remove the button when people are used to seeing
it.

The behavior people will find now is different when clicking
the button from different catalogue pages. A user on the MARC
detail page, instead of getting the generic print view will
get a print of the page they're on. Overall I think this
is more in line with what a user would expect.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 6 Jared Camins-Esakov 2012-11-30 03:28:59 UTC
This patch looks very good, except for one thing: there is still a reference to detailprint.pl in cat-toolbar.inc. Could you please provide a follow-up removing it?
Comment 7 Owen Leonard 2012-11-30 20:41:25 UTC Comment hidden (obsolete)
Comment 8 Melia Meggs 2012-11-30 21:37:13 UTC Comment hidden (obsolete)
Comment 9 Melia Meggs 2012-11-30 21:39:29 UTC
Just adding my signoff to the follow up.  I tried printing a record from the staff client and verified that you can see the shelving location on the printout.  Looks good.
Comment 10 Jonathan Druart 2012-12-03 10:44:00 UTC
Created attachment 13839 [details] [review]
Bug 8893 [Follow-up] show more information on printout

This follow-up removes the old link to detailprint.pl and
replaces it with an empty container as a hook for the YUI
button function.

The appearance and functionality should not be any
different.

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
This patch removes a ref to detailprint.pl.
With JS a "Print" button is displayed (else it is not).
Comment 11 Jared Camins-Esakov 2012-12-03 11:31:24 UTC
This patch has been pushed to master.